Projects

Jump to List All Existing ProjectsList All Existing Projects

Price: 100 API units per request

This request returns a list of all projects with their ID, project name, domain name, and tools activated for each project.

About project management in the Semrush web interface ›

Jump to EndpointEndpoint

GEThttps://api.semrush.com/management/v1/projects

Request Parameters

keyRequired

Identification key assigned to each user after subscribing to Semrush. You’ll find it in Subscription info > API units.

Value/Type: API_KEY

filter

Filter projects by user permissions. Use one of the possible values:
- all: No filter.
- own: Return only the projects owned by the user with the submitted ID key. Used by default.
- shared: Return shared projects only.
- corporate: For corporate subscribers only.

Value/Type: One of: 'all', 'own' (default), 'shared', 'corporate'.

Request example
https://api.semrush.com/management/v1/projects?key=API_KEY
Response exampleJSON
[
  {
    "url": "mysite.com",
    "domain_unicode": "mysite.com",
    "tools": [
      {
        "tool": "tracking"
      }
    ],
    "project_id": 643526670283248,
    "project_name": "myproject",
    "owner_id": 123456780,
    "permission": [
      "OWNER"
    ]
  }
]

Jump to Get Information About An Existing ProjectGet Information About An Existing Project

Price: 100 API units per request

This request returns information about a project, including its ID, project name, domain name, and activated tools.

About project management in the Semrush web interface ›

Jump to EndpointEndpoint

GEThttps://api.semrush.com/management/v1/projects/

Request Parameters

keyRequired

Identification key assigned to each user after subscribing to Semrush. You’ll find it in Subscription info > API units.

Value/Type: API_KEY

idRequired

Value/Type: ID

Request example
https://api.semrush.com/management/v1/projects/{id}?key=API_KEY
Response exampleJSON
{
  "url": "mysite.com",
  "domain_unicode": "mysite.com",
  "tools": [
    {
      "tool": "tracking"
    }
  ],
  "project_id": 643526670283248,
  "project_name": "myproject",
  "owner_id": 123456780,
  "permission": [
    "OWNER"
  ]
}

Jump to Create A New ProjectCreate A New Project

Price: 100 API units per request

This request lets you create a new project, name it, and assign a domain.

About project management in the Semrush web interface ›

Jump to EndpointEndpoint

POSThttps://api.semrush.com/management/v1/projects?key=API_KEY

Request Parameters

keyRequired

Identification key assigned to each user after subscribing to Semrush. You’ll find it in Subscription info > API units.

Value/Type: API_KEY

urlRequired

Project domain.

Value/Type: domain.com

project_name

Project name. You can’t use any of the following symbols: ~, `, !, #, %, ', ^, &, *, =, [, ], \, /, {, }, |, ", :, <, >, ?.

Value/Type: Name

Request example
{"project_name":"myproject","url":"mysite.com"}
Response exampleJSON
{
  "url": "mysite.com",
  "domain_unicode": "mysite.com",
  "tools": [
    {
      "tool": "tracking"
    }
  ],
  "project_id": 643526670283248,
  "project_name": "myproject",
  "owner_id": 123456780,
  "permission": [
    "OWNER"
  ]
}

Jump to Update An Existing ProjectUpdate An Existing Project

Price: 100 API units per request

This request lets you rename a project.

About project management in the Semrush web interface ›

Jump to EndpointEndpoint

PUThttps://api.semrush.com/management/v1/projects?key=API_KEY

Request Parameters

keyRequired

Identification key assigned to each user after subscribing to Semrush. You’ll find it in Subscription info > API units.

Value/Type: API_KEY

project_idRequired

Value/Type: ID

project_nameRequired

New project name.

Value/Type: Name

Request example
{"project_id":643526670283248, "project_name":"New project name"}
Response exampleJSON
{
  "url": "mysite.com",
  "domain_unicode": "mysite.com",
  "tools": [
    {
      "tool": "tracking"
    }
  ],
  "project_id": 643526670283248,
  "project_name": "New project name",
  "owner_id": 123456780,
  "permission": [
    "OWNER"
  ]
}

Jump to Delete an existing projectDelete an existing project

Price: 100 API units per request

This request lets you delete a project and all campaigns in the activated tools.

About project management in the Semrush web interface ›

Jump to EndpointEndpoint

DELETEhttps://api.semrush.com/management/v1/projects/{id}?key=API_KEY

Request Parameters

keyRequired

Identification key assigned to each user after subscribing to Semrush. You’ll find it in Subscription info > API units.

Value/Type: API_KEY

idRequired

Value/Type: ID

Request example
https://api.semrush.com/management/v1/projects/{id}?key=API_KEY

Last updated: February 3, 2026

Was this page helpful?